<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::energy Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1energy.html">energy</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::energy Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing energy values  
<a href="namespaceunits_1_1energy.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a81ac37f5fb2ed9b1c62ba6d4e1358aa7"><td class="memItemLeft" align="right" valign="top"><a id="a81ac37f5fb2ed9b1c62ba6d4e1358aa7"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">joule_t</a> &amp;obj)</td></tr>
<tr class="separator:a81ac37f5fb2ed9b1c62ba6d4e1358aa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a771f8c7a57fa5e18c177ba59d86c818e"><td class="memItemLeft" align="right" valign="top"><a id="a771f8c7a57fa5e18c177ba59d86c818e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">joule_t</a> &amp;obj)</td></tr>
<tr class="separator:a771f8c7a57fa5e18c177ba59d86c818e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36a82defc1eb28842fabe97c65d43382"><td class="memItemLeft" align="right" valign="top"><a id="a36a82defc1eb28842fabe97c65d43382"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">calorie_t</a> &amp;obj)</td></tr>
<tr class="separator:a36a82defc1eb28842fabe97c65d43382"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0c18cacb066196f72628f35847d413c"><td class="memItemLeft" align="right" valign="top"><a id="af0c18cacb066196f72628f35847d413c"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">calorie_t</a> &amp;obj)</td></tr>
<tr class="separator:af0c18cacb066196f72628f35847d413c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a085e6b51e6657834fa4b3dfdb13bc637"><td class="memItemLeft" align="right" valign="top"><a id="a085e6b51e6657834fa4b3dfdb13bc637"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">kilowatt_hour_t</a> &amp;obj)</td></tr>
<tr class="separator:a085e6b51e6657834fa4b3dfdb13bc637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d1eeddbc91ec73202a6e0786af186b4"><td class="memItemLeft" align="right" valign="top"><a id="a2d1eeddbc91ec73202a6e0786af186b4"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">kilowatt_hour_t</a> &amp;obj)</td></tr>
<tr class="separator:a2d1eeddbc91ec73202a6e0786af186b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1ba21e21921e0197a3cda3ed924d53b"><td class="memItemLeft" align="right" valign="top"><a id="ab1ba21e21921e0197a3cda3ed924d53b"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">watt_hour_t</a> &amp;obj)</td></tr>
<tr class="separator:ab1ba21e21921e0197a3cda3ed924d53b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3a4c916197e382f07523d8d505c5cf5"><td class="memItemLeft" align="right" valign="top"><a id="ad3a4c916197e382f07523d8d505c5cf5"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">watt_hour_t</a> &amp;obj)</td></tr>
<tr class="separator:ad3a4c916197e382f07523d8d505c5cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8059e403146536fa74766f18178238f4"><td class="memItemLeft" align="right" valign="top"><a id="a8059e403146536fa74766f18178238f4"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">british_thermal_unit_t</a> &amp;obj)</td></tr>
<tr class="separator:a8059e403146536fa74766f18178238f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d43370bdefa4584bef7e2e1816ee008"><td class="memItemLeft" align="right" valign="top"><a id="a6d43370bdefa4584bef7e2e1816ee008"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">british_thermal_unit_t</a> &amp;obj)</td></tr>
<tr class="separator:a6d43370bdefa4584bef7e2e1816ee008"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e2eed24e7a25e788fdf6033478d245f"><td class="memItemLeft" align="right" valign="top"><a id="a4e2eed24e7a25e788fdf6033478d245f"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">british_thermal_unit_iso_t</a> &amp;obj)</td></tr>
<tr class="separator:a4e2eed24e7a25e788fdf6033478d245f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15337144e4db455f31b7671c3d0c1d6d"><td class="memItemLeft" align="right" valign="top"><a id="a15337144e4db455f31b7671c3d0c1d6d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">british_thermal_unit_iso_t</a> &amp;obj)</td></tr>
<tr class="separator:a15337144e4db455f31b7671c3d0c1d6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b8a484dc8f5b4405dda09d67d160699"><td class="memItemLeft" align="right" valign="top"><a id="a5b8a484dc8f5b4405dda09d67d160699"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">british_thermal_unit_59_t</a> &amp;obj)</td></tr>
<tr class="separator:a5b8a484dc8f5b4405dda09d67d160699"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e38ac576685feae1fde9e8765e92cae"><td class="memItemLeft" align="right" valign="top"><a id="a5e38ac576685feae1fde9e8765e92cae"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">british_thermal_unit_59_t</a> &amp;obj)</td></tr>
<tr class="separator:a5e38ac576685feae1fde9e8765e92cae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a551e33b7307f81215a92050bc247481b"><td class="memItemLeft" align="right" valign="top"><a id="a551e33b7307f81215a92050bc247481b"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">therm_t</a> &amp;obj)</td></tr>
<tr class="separator:a551e33b7307f81215a92050bc247481b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7137792b93170fed36f93c9f85ab531a"><td class="memItemLeft" align="right" valign="top"><a id="a7137792b93170fed36f93c9f85ab531a"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">therm_t</a> &amp;obj)</td></tr>
<tr class="separator:a7137792b93170fed36f93c9f85ab531a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c1fc382b43721bcba6c0466629ac91d"><td class="memItemLeft" align="right" valign="top"><a id="a8c1fc382b43721bcba6c0466629ac91d"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">foot_pound_t</a> &amp;obj)</td></tr>
<tr class="separator:a8c1fc382b43721bcba6c0466629ac91d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ad9242ae3728fcce5e28329683b2230"><td class="memItemLeft" align="right" valign="top"><a id="a4ad9242ae3728fcce5e28329683b2230"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">foot_pound_t</a> &amp;obj)</td></tr>
<tr class="separator:a4ad9242ae3728fcce5e28329683b2230"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing energy values </p>
<p>The SI unit for energy is <code>joules</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>energy_unit</code>. <a class="anchor" id="energyContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
